#
# spec file for package ghc-weeder
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name weeder
Name:           ghc-%{pkg_name}
Version:        2.2.0
Release:        bp154.2.13
Summary:        Detect dead code
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-algebraic-graphs-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dhall-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-generic-lens-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}

%description
Find declarations.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cabal-tweak-dep-ver algebraic-graphs '^>= 0.5' '< 1'
cabal-tweak-dep-ver lens '^>= 5.0.1' '< 6'
cabal-tweak-dep-ver optparse-applicative '^>= 0.16.0.0' '< 1'

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Tue Feb 15 2022 Peter Simons <psimons@suse.com>
- Update copyright header in the spec file.
* Fri Feb 11 2022 Peter Simons <psimons@suse.com>
- Update jailbreaks.
* Sun Aug 29 2021 psimons@suse.com
- Update weeder to version 2.2.0.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/weeder-2.2.0/src/CHANGELOG.md
* Wed Feb 24 2021 Ondřej Súkup <mimi.vx@gmail.com>
- relax overspecified deps on lens
* Wed Feb 10 2021 Ondřej Súkup <mimi.vx@gmail.com>
- relax overspecified deps
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Fri Dec 11 2020 psimons@suse.com
- Update weeder to version 2.1.3.
  [#]## [`2.1.3`][v2.1.3] - *2020-12-11*
  - Support `dhall-1.35`, `dhall-1.36` and `dhall-1.37`.
  - Support `bytestring-0.11`.
* Sat Sep 12 2020 psimons@suse.com
- Update weeder to version 2.1.2.
  [#]## [`2.1.2`][v2.1.2] - *2020-09-09*
  - Correctly support optparse-applicative 0.16.0.0. While this was meant to be resolved 2.1.1, 2.1.1 only changed the version for the library and not the executable.
* Wed Sep  9 2020 psimons@suse.com
- Update weeder to version 2.1.1.
  [#]## [`2.1.1`][v2.1.1] - *2020-09-09*
  - Support Dhall 1.34
  - Support optparse-applicative 0.16.0.0
* Wed Sep  9 2020 Peter Simons <psimons@suse.com>
- Relax over-specified constraint on dhall.
* Wed Aug 19 2020 Michel Normand <normand@linux.vnet.ibm.com>
- Add _constraints with min 6GB disk space for ppc64/ppc64le
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Tweak Cabal file to accept latest version of optparse-applicative.
* Wed Jul  1 2020 psimons@suse.com
- Update weeder to version 2.1.0.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/weeder-2.1.0/src/CHANGELOG.md
* Tue Jun 23 2020 psimons@suse.com
- Add weeder at version 2.0.1.
